Home > DotNetNuke, JQuery > Using jQuery with DotNetNuke 04.xx.xx

Using jQuery with DotNetNuke 04.xx.xx

jQuery support is available in 5.0 and later versions of DotNetNuke (read more) . If you are working in older versions of DotNetNuke you can include jQuery yourself to your DNN Skin and get all jQuery benefits.

Recently I tried jQuery 1.4.x with DotNetNuke 04.09.xx in a DNN Skin. jQuery was installed successfully and it was working fine. But i noticed that some of the DNN core functionality was broken. Major issue was that once i logged in as admin action menu of modules were no more visible and there were some java-script errors.

I found out that java-script based menus were having conflict with jQuery. These issues were resolved by following two steps:

  1. Call jQuery.noConflict(); before calling jQuery methods
  2. Use fully qualified jQuery instead of $ sign e.g. jQuery(document).ready(function(){…});

Now jQuery is fully compatible and functional with older versions of DotNetNuke and all of the existing functionality is intact.

You can find more about jQuery.noConflict() at http://api.jquery.com/jQuery.noConflict/

Advertisements
Categories: DotNetNuke, JQuery
  1. No comments yet.
  1. No trackbacks yet.

Leave a Reply

Fill in your details below or click an icon to log in:

WordPress.com Logo

You are commenting using your WordPress.com account. Log Out / Change )

Twitter picture

You are commenting using your Twitter account. Log Out / Change )

Facebook photo

You are commenting using your Facebook account. Log Out / Change )

Google+ photo

You are commenting using your Google+ account. Log Out / Change )

Connecting to %s

%d bloggers like this: